aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorSerge Schneider <[email protected]>2019-10-30 13:23:35 +0000
committerSerge Schneider <[email protected]>2019-10-30 13:31:07 +0000
commit19c0188798f39149e5a82f70a3f96b96cfdaa7d9 (patch)
tree93913cbccf96c5c80889c67fecd99e580d523392 /scripts
parent336ff2107e51092ec58639f180a6fce89a01fa61 (diff)
Ensure debootstrap runs through 'sh' rather than 'bash'
This fixes #338 and fixes #294
Diffstat (limited to 'scripts')
-rw-r--r--scripts/common3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/common b/scripts/common
index 68fab54..e2048d9 100644
--- a/scripts/common
+++ b/scripts/common
@@ -17,8 +17,9 @@ bootstrap(){
BOOTSTRAP_ARGS+=(--components "main,contrib,non-free")
BOOTSTRAP_ARGS+=(--keyring "${STAGE_DIR}/files/raspberrypi.gpg")
BOOTSTRAP_ARGS+=("$@")
+ printf -v BOOTSTRAP_STR '%q ' "${BOOTSTRAP_ARGS[@]}"
- setarch linux32 capsh --drop=cap_setfcap -- "${BOOTSTRAP_CMD}" "${BOOTSTRAP_ARGS[@]}" || true
+ setarch linux32 capsh --drop=cap_setfcap -- -c "'${BOOTSTRAP_CMD}' $BOOTSTRAP_STR" || true
if [ -d "$2/debootstrap" ]; then
rmdir "$2/debootstrap"